# asteroid.py
# ------------
# By MWC Contributors
# This module defines an asteroid agent class.
class Asteroid:
    character = 'O'
    name='temp'
    def __init__(self, position, board_height):
        self.position = position
        self.board_height=board_height
    def play_turn(self, game):
        if game.turn_number % 2 == 0: 
            x, y = self.position
            if y == self.board_height - 1: 
                game.remove_agent_by_name(self.name)
            else:
                ship = game.get_agent_by_name('ship')
                new_position = (x, y + 1)
                if new_position == ship.position:
                    game.end()
                else:
                    self.position = new_position